### org.jfree.layouting.layouter.style.resolver.computed

# Class ListOfConstantsResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler`
  - - `org.jfree.layouting.layouter.style.resolver.computed.ListOfConstantsResolveHandler`

Implemented Interfaces:
  ResolveHandler

Known Direct Subclasses:
  BackgroundAttachmentResolveHandler, BackgroundClipResolveHandler, BackgroundOriginResolveHandler

`public abstract class ListOfConstantsResolveHandler`
`extends ConstantsResolveHandler`

Creation-Date: 14.12.2005, 23:08:14

Author:
  Thomas Morgner

  ## Constructor Summary

  `ListOfConstantsResolveHandler()`

  ## Method Summary

  `void`

  `resolve(LayoutProcess process, LayoutElement currentNode, StyleKey key)`
    Resolves a single property.

  `protected void`

  `resolveInvalidItem(LayoutProcess process, LayoutElement currentNode, StyleKey key, int index)`

  `protected abstract boolean`

  `resolveItem(LayoutProcess process, LayoutElement currentNode, StyleKey key, int index, CSSConstant item)`

  ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

  `addNormalizeValue`, `addValue`, `getFallback`, `getRequiredStyles`, `lookupValue`, `resolve`, `resolveValue`, `setFallback`

## Constructor Details

### ListOfConstantsResolveHandler

    public ListOfConstantsResolveHandler()

## Method Details

### resolve

    public void resolve(LayoutProcess process,
                        LayoutElement currentNode,
                        StyleKey key)

> Resolves a single property.
> Specified by:
>   resolve in interface ResolveHandler
> Overrides:
>   resolve in interface ConstantsResolveHandler
> Parameters:
>   `currentNode` -

### resolveInvalidItem

    protected void resolveInvalidItem(LayoutProcess process,
                                      LayoutElement currentNode,
                                      StyleKey key,
                                      int index)

### resolveItem

    protected abstract boolean resolveItem(LayoutProcess process,
                                           LayoutElement currentNode,
                                           StyleKey key,
                                           int index,
                                           CSSConstant item)